# MaxSubmitAtOnce

Sets the maximum batch size that imfile submits at once.

This parameter applies to imfile: Text File Input Module.

Name:

  MaxSubmitAtOnce

Scope:

  input

Type:

  integer

Default:

  1024

Required?:

  no

Introduced:

  at least 8.x, possibly earlier

## Description

An expert option that defines the maximum number of messages a single input batch may contain. The default of `1024` suits most applications. Modify only if familiar with rsyslog’s batch processing semantics.

## Input usage

    input(type="imfile"
          File="/var/log/example.log"
          Tag="example"
          MaxSubmitAtOnce="1024")

## See also

See also imfile: Text File Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.